package com.example.wholeestate.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.example.wholeestate.common.resp.ResponseBean;
import com.example.wholeestate.model.Comment;
import com.example.wholeestate.model.SysUser;

/**
 * <p>
 * 评论表 服务类
 * </p>
 *
 * @author weiximei
 * @since 2019-03-20
 */
public interface ICommentService extends IService<Comment> {

    /**
     * 回复评论
     * @param parameter
     * @return
     */
    ResponseBean addComment(String parameter);

    /**
     * 根据 评论类型, 评论主题id 查询
     * @param commentType
     * @param mainId
     * @param pageNum
     * @param pageSize
     * @return
     */
    ResponseBean getCommentList(String commentType, String mainId, Integer pageNum, Integer pageSize);

}
